## python-wifi 0.5.0-1maemo1

=== Makefile ===
#
# Makefile for Python WiFi
#

SHELL = /bin/sh

package 	= python-wifi

srcdir = .

VERSION = $(shell cat $(srcdir)/docs/VERSION)

BRANCH = "master"

TOPDIR := $(CURDIR)

.PHONY: all egg tarball changelog clean distclean

all:	

egg:	
	python setup.py bdist_egg

tarball:	

changelog:	
	mkdir -p $(TOPDIR)/tmp/
	git log | perl -pi -e 's/</&lt;/g; s/>/&gt;/g; s/@/@<!-- com.com -->/g;' > $(TOPDIR)/tmp/CHANGELOG

clean:
	rm -fr tmp/

distclean:	clean

=== debian/changelog ===
python-wifi (0.5.0-1maemo1) unstable; urgency=low

  * new upstream version
  * remove egg-INSTALL file, because its wasting space
  * fix installation directories
  * integrate frequency-patch from Matthias Philipp
  * for maemo we need the eggfile in and I dont in the mood to use uuencode for this task

 -- Henning Heinold <heinold@inf.fu-berlin.de>  Fri, 18 Dec 2009 12:38:30 +0100

python-wifi (0.3.1~1.gbp21fa28) unstable; urgency=low

  ** SNAPSHOT build @21fa288bfed7be4ba47f6a890fb52060a4ae030e **

  * inital version

 -- Henning Heinold <heinold@inf.fu-berlin.de>  Thu, 10 Sep 2009 00:21:45 +0200

=== debian/control ===
Source: python-wifi 
Section: python
Priority: optional
Maintainer: Henning Heinold <heinold@inf.fu-berlin.de>
Build-Depends: debhelper (>= 5.0.38), cdbs (>=0.4.43), quilt, python-all-dev, python-support (>= 0.5.3), python-setuptools
Standards-Version: 3.8.3
XS-Python-Version: all
Homepage: http://pythonwifi.wikispot.org/

Package: python-wifi
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
XB-Python-Version: ${python:Versions}
Description: Linux Wireless Extensions in Pure Python
 Python WiFi is a Python module that provides read and write 
 access to a wireless network card's capabilities using 
 the Linux Wireless Extensions.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
DEB_PYTHON_SYSTEM=pysupport

include /usr/share/quilt/quilt.make
include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/class/python-distutils.mk

DEB_DESTDIR = debian/tmp
DEB_INSTALL_CHANGELOGS_ALL := debian/tmp/scratchbox/tools/docs/ChangeLog

get-orig-source:
	-uscan --download-version $(DEB_UPSTREAM_VERSION) --force-download --rename

binary-post-install/python-wifi::
	dh_compress -Xdebian/python-wifi/usr/share/doc/python-wifi/changelog

## python-wifi 0.5.0-1maemo2

=== debian/changelog ===
python-wifi (0.5.0-1maemo2) unstable; urgency=low

  * bump of version only, because of stupid autobuilder

 -- Henning Heinold <heinold@inf.fu-berlin.de>  Sun, 03 Jan 2010 17:19:33 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Homepage: http://pythonwifi.wikispot.org/
 
 Package: python-wifi
-Architecture: all
+Architecture: any
 Depends: ${python:Depends}, ${misc:Depends}
 XB-Python-Version: ${python:Versions}
 Description: Linux Wireless Extensions in Pure Python

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 include /usr/share/cdbs/1/class/python-distutils.mk
 
 DEB_DESTDIR = debian/tmp
-DEB_INSTALL_CHANGELOGS_ALL := debian/tmp/scratchbox/tools/docs/ChangeLog
+DEB_INSTALL_CHANGELOGS_ALL := debian/tmp/usr/docs/ChangeLog
 
 get-orig-source:
 	-uscan --download-version $(DEB_UPSTREAM_VERSION) --force-download --rename

=== debian/watch ===
version=3
http://download.berlios.de/pythonwifi/python-wifi-(.+)\.tar\.bz2
